Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules.jffi
Interface AllocatedDirectMemory

All Superinterfaces:
  DirectMemory, Memory

    public interface AllocatedDirectMemory

extends DirectMemory

Method Summary
`void` | `free()`
`void` | `setAutoRelease(boolean autorelease)`

Methods inherited from interface org.python.modules.jffi.DirectMemory
`getAddress`

Methods inherited from interface org.python.modules.jffi.Memory
`get, get, get, get, get, get, getAddress, getByte, getDouble, getFloat, getInt, getLong, getMemory, getNativeLong, getShort, getZeroTerminatedByteArray, indexOf, indexOf, isDirect, isNull, put, put, put, put, put, put, putAddress, putAddress, putByte, putDouble, putFloat, putInt, putLong, putNativeLong, putShort, putZeroTerminatedByteArray, setMemory, slice`

Method Detail

### free

    void free()

### setAutoRelease

    void setAutoRelease(boolean autorelease)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage